<div fxLayout="column" fxLayoutGap="0px">
    <form [formGroup]="agencyInfoReviewFormGroup" (ngSubmit)="onSubmit()"> 

    <mat-card class="mat-elevation-z0">
        <div fxLayout="column" fxLayoutGap="5px" class="div-border">
            <div>
                <span><b>Agency Details</b></span>
            </div>
            <div class="div-border">
                <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                    <div fxFlex="10"><span class="required-label-color">Agency Name</span></div>
                    <div fxFlex="25"><mat-form-field fxFlex appearance="outline">
                        <input type="text" matInput formControlName="agencyNameCtrl" [(ngModel)]="agencySiteData.agencyName" maxlength="100" (blur)="checkDuplicateAgency($event)" />
                                <mat-error *ngIf="f.agencyNameCtrl.errors?.required"> {{ validationMssg.agencyNameCtrl.required }}</mat-error>
                                <mat-error *ngIf="f.agencyNameCtrl.errors?.pattern"> {{ validationMssg.agencyNameCtrl.pattern }}</mat-error>
                            </mat-form-field>
                    </div>
                    <div fxFlex="5"></div>                           
                    <div fxFlex="10"><span class="required-label-color">Agency Type</span></div>
                    <div fxFlex="30">
                        <mat-form-field appearance="outline" fxFlex>
                                <mat-select formControlName="agencyTypeCtrl" [(ngModel)]="agencySiteData.agencyType">
                                <mat-option *ngIf="preSelectedAgencyType < 1" [value]="0">Select</mat-option>
                                <mat-option *ngFor="let agencyType of agencyTypes" [value]="agencyType.siteTypeCode">
                                    {{agencyType.typeDescription}}
                                  </mat-option>
                                </mat-select>
                                <mat-error *ngIf="f.agencyTypeCtrl.errors?.required"> {{ validationMssg.agencyTypeCtrl.required }}</mat-error>
                        </mat-form-field>
                    </div>
                    <div fxFlex><span>&nbsp;</span></div>
                </div>
                <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                    <div fxFlex="10"><span class="required-label-color">Street Address</span></div>
                    <div fxFlex="25"><mat-form-field appearance="outline" fxFlex>
                        <input matInput formControlName="agencyAddressCtrl" maxlength="200" [(ngModel)]="agencySiteData.agencyAddress" />
                            <mat-error *ngIf="f.agencyAddressCtrl.errors?.required"> {{ validationMssg.agencyAddressCtrl.required }}</mat-error>
                            </mat-form-field>
                    </div>
                    <div fxFlex="5"></div>
                    <div fxFlex="10"><span class="required-label-color">City</span></div>
                    <div fxFlex="30"><mat-form-field appearance="outline"><input matInput formControlName="agencyCityCtrl" maxlength="50" [(ngModel)]="agencySiteData.agencyCity" alphabetSpace />
                                    <mat-error *ngIf="f.agencyCityCtrl.errors?.required"> {{ validationMssg.agencyCityCtrl.required }}</mat-error>
                                    <mat-error *ngIf="f.agencyCityCtrl.errors?.pattern"> {{ validationMssg.agencyCityCtrl.pattern }}</mat-error>
                                </mat-form-field></div>
                    <div fxFlex><span>&nbsp;</span></div>
                </div>
                <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                    <div fxFlex="10"><span class="required-label-color">State</span></div>
                    <div fxFlex="25"><mat-form-field fxFlex="50" appearance="outline"><input matInput formControlName="agencyStateCtrl" maxlength="2" [(ngModel)]="agencySiteData.agencyState" alphabetOnly />
                                <mat-error *ngIf="f.agencyStateCtrl.errors?.required"> {{ validationMssg.agencyStateCtrl.required }}</mat-error>
                                <mat-error *ngIf="f.agencyStateCtrl.errors?.pattern"> {{ validationMssg.agencyStateCtrl.pattern }}</mat-error>
                            </mat-form-field>
                    </div>
                    <div fxFlex="5"></div>
                    <div fxFlex="10"><span class="required-label-color">Zip Code</span></div>
                    <div fxFlex="30"><mat-form-field fxFlex="50" appearance="outline"><input matInput digitOnly formControlName="agencyZipCodeCtrl" maxlength="5" [(ngModel)]="agencySiteData.agencyZip" />
                                <mat-error *ngIf="f.agencyZipCodeCtrl.errors?.required"> {{ validationMssg.agencyZipCodeCtrl.required }}</mat-error>
                                <mat-error *ngIf="f.agencyZipCodeCtrl.errors?.pattern"> {{ validationMssg.agencyZipCodeCtrl.pattern }}</mat-error>
                            </mat-form-field></div>
                    <div fxFlex><span>&nbsp;</span></div>
                </div>

            </div>
        </div>
    </mat-card>

    <mat-card class="mat-elevation-z0">
        <div fxLayout="column" fxLayoutGap="5px" class="div-border">
            <div fxLayout="row" fxLayoutAlign="left center">
                <span><b>Agency Contact</b></span>
            </div>
            <div fxLayout="column" class="div-border">

                <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                    <div fxFlex="10"><span class="required-label-color">First Name</span></div>
                    <div fxFlex="25"><mat-form-field fxFlex="50" appearance="outline"><input matInput formControlName="agConFirstCtrl" maxlength="50" [(ngModel)]="agencySiteData.agencyContactFirstName" alphabetOnly />
                            <mat-error *ngIf="f.agConFirstCtrl.errors?.required"> {{ validationMssg.agConFirstCtrl.required }}</mat-error>
                            <mat-error *ngIf="f.agConFirstCtrl.errors?.pattern"> {{ validationMssg.agConFirstCtrl.pattern }}</mat-error>
                        </mat-form-field>
                    </div>
                    <div fxFlex="5"></div>
                    <div fxFlex="10"><span class="required-label-color">Last Name</span></div>
                    <div fxFlex="30"><mat-form-field fxFlex="50" appearance="outline"><input matInput formControlName="agConLastCtrl" maxlength="50" [(ngModel)]="agencySiteData.agencyContactLastName" alphabetOnly />
                            <mat-error *ngIf="f.agConLastCtrl.errors?.required"> {{ validationMssg.agConLastCtrl.required }}</mat-error>
                            <mat-error *ngIf="f.agConLastCtrl.errors?.pattern"> {{ validationMssg.agConLastCtrl.pattern }}</mat-error>
                        </mat-form-field></div>
                    <div fxFlex><span>&nbsp;</span></div>
                </div>
                <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                    <div fxFlex="10"><span class="optional-label-color">Office Title</span></div>
                    <div fxFlex="25"><mat-form-field fxFlex="50" appearance="outline"><input matInput formControlName="agConTitleCtrl" maxlength="25" [(ngModel)]="agencySiteData.agencyContactTitle" />
                            <mat-error *ngIf="f.agConTitleCtrl.errors?.maxLength"> {{ validationMssg.agConTitleCtrl.maxLength }}</mat-error>
                        </mat-form-field>
                    </div>
                    <div fxFlex="5"></div>
                    <div fxFlex="10"><span class="required-label-color">Email</span></div>
                    <div fxFlex="30"><mat-form-field fxFlex="50" appearance="outline"><input matInput formControlName="agConEmailCtrl" maxlength="50" [(ngModel)]="agencySiteData.agencyContactEmail" />
                                <mat-error *ngIf="f.agConEmailCtrl.errors?.required"> {{ validationMssg.agConEmailCtrl.required }}</mat-error>
                                <mat-error *ngIf="f.agConEmailCtrl.errors?.email"> {{ validationMssg.agConEmailCtrl.email }}</mat-error>
                            </mat-form-field></div>
                    <div fxFlex><span>&nbsp;</span></div>
                </div>
                <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                    <div fxFlex="10"><span class="required-label-color">Office Phone</span></div>
                    <div fxFlex="25"><mat-form-field fxFlex="50" appearance="outline"><input matInput formControlName="agConPhoneCtrl" maxlength="12" mask="000-000-0000" [(ngModel)]="agencySiteData.agencyContactOfficePhone" />
                            <mat-error *ngIf="f.agConPhoneCtrl.errors?.required"> {{ validationMssg.agConPhoneCtrl.required }}</mat-error>
                            <mat-error *ngIf="f.agConPhoneCtrl.errors?.pattern"> {{ validationMssg.agConPhoneCtrl.pattern }}</mat-error>
                        </mat-form-field>
                    </div>
                    <div fxFlex="5"></div>
                    <div fxFlex="10"><span class="optional-label-color">Office Extension</span></div>
                    <div fxFlex="30"><mat-form-field fxFlex="50" appearance="outline"><input matInput digitOnly formControlName="agConExtnCtrl" maxlength="4" [(ngModel)]="agencySiteData.agencyContactOfficeExtension" />
                                <mat-error *ngIf="f.agConExtnCtrl.errors?.pattern"> {{ validationMssg.agConExtnCtrl.pattern }}</mat-error>
                            </mat-form-field></div>
                    <div fxFlex><span>&nbsp;</span></div>
                </div>
                <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                    <div fxFlex="10"><span class="optional-label-color">Cell Phone</span></div>
                    <div fxFlex="25"><mat-form-field fxFlex="50" appearance="outline"><input matInput formControlName="agConCellCtrl" maxlength="12" mask="000-000-0000" [(ngModel)]="agencySiteData.agencyContactCellPhone" />
                            <mat-error *ngIf="f.agConCellCtrl.errors?.pattern"> {{ validationMssg.agConCellCtrl.pattern }}</mat-error>
                        </mat-form-field>
                    </div>
                    <div fxFlex="5"></div>
                    <div fxFlex="10"><span class="optional-label-color">Fax</span></div>
                    <div fxFlex="30"><mat-form-field fxFlex="50" appearance="outline"><input matInput formControlName="agConFaxCtrl" maxlength="12" mask="000-000-0000" [(ngModel)]="agencySiteData.agencyContactFax" />
                            <mat-error *ngIf="f.agConFaxCtrl.errors?.pattern"> {{ validationMssg.agConFaxCtrl.pattern }}</mat-error>
                        </mat-form-field></div>
                    <div fxFlex><span>&nbsp;</span></div>
                </div>

            </div>

        </div>
    </mat-card>
    
</form> 
</div>